UPDWTMP(3)

NAME
updwtmp, logwtmp - append an entry to the wtmp file

SYNOPSIS
#include <utmp.h>

void updwtmp(const char *wtmp_file, const struct utmp *ut);
void logwtmp(const char *line, const char *name, const char *host);

DESCRIPTION
updwtmp() appends the utmp structure ut to the wtmp file.

logwtmp() constructs an utmp structure using line, name, host, current time and current process id. Then it calls updwtmp() to append the structure to the utmp file.

AVAILABILITY
Both functions are available under glibc2, but not under glibc1 or libc. However, logwtmp() occurs in the old libbsd.

FILES
/var/log/wtmp    database of past user logins

SEE ALSO
utmp(5)